diff --git a/src_c/display.c b/src_c/display.c
index 97c644e0a2..68c30f7934 100644
--- a/src_c/display.c
+++ b/src_c/display.c
@@ -334,6 +334,7 @@ pg_vidinfo_str(PyObject *self)
     int current_w = -1;
     int current_h = -1;
     pg_VideoInfo *info = &((pgVidInfoObject *)self)->info;
+    PyObject *return_string = NULL;
     const char *pixel_format_name = SDL_GetPixelFormatName(info->vfmt->format);
     char *trimmed_format_name = malloc(sizeof(char) * (strlen(pixel_format_name) - 4));
     strcpy(trimmed_format_name, pixel_format_name+=4);
@@ -347,7 +348,7 @@ pg_vidinfo_str(PyObject *self)
         current_h = info->current_h;
     }
 
-    return PyUnicode_FromFormat(
+    return_string = PyUnicode_FromFormat(
         "<VideoInfo(hw = %u, wm = %u,video_mem = %u\n"
         "         blit_hw = %u, blit_hw_CC = %u, blit_hw_A = %u,\n"
         "         blit_sw = %u, blit_sw_CC = %u, blit_sw_A = %u,\n"
@@ -367,6 +368,10 @@ pg_vidinfo_str(PyObject *self)
         info->vfmt->Gloss, info->vfmt->Bloss, info->vfmt->Aloss, current_w,
         current_h, trimmed_format_name);
 
+    free(trimmed_format_name);
+
+    return return_string;
+
 }
 
 static PyTypeObject pgVidInfo_Type = {
